summaryrefslogtreecommitdiffstats
path: root/vim/bin/vim-mtime
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2021-11-02 12:32:36 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2021-11-02 12:32:36 +0000
commit8d19e22fc0ac921ecf5fea30a4fffd2871a78143 (patch)
treeffc0006d453be33879555f72efd1b04e7b9f1525 /vim/bin/vim-mtime
parentCorrecting current and default branch handling in git-checkout-branches. (diff)
downloadservice-tools-8d19e22fc0ac921ecf5fea30a4fffd2871a78143.tar.xz
service-tools-8d19e22fc0ac921ecf5fea30a4fffd2871a78143.zip
Adding vim-tools.
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to '')
-rwxr-xr-xvim/bin/vim-mtime34
1 files changed, 34 insertions, 0 deletions
diff --git a/vim/bin/vim-mtime b/vim/bin/vim-mtime
new file mode 100755
index 0000000..d04e8ee
--- /dev/null
+++ b/vim/bin/vim-mtime
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+# Open Infrastructure: service-tools
+
+# Copyright (C) 2014-2021 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+set -e
+
+for FILE in "${@}"
+do
+ TMPFILE="$(tmpfile vi-mtime.XXXX)"
+
+ touch -r "${FILE}" "${TMPFILE}"
+
+ vi "${FILE}"
+
+ touch -r "${TMPFILE}" "${FILE}"
+ rm -f "${TMPFILE}"
+done